C***********************************************************************
C***********************************************************************
      SUBROUTINE STATION_CALC
C
C
      INCLUDE 'CASCO.DIM'
      INCLUDE 'mesh.h'
      INCLUDE 'statarrays.h'
      INCLUDE 'friction.h'
      INCLUDE 'constants.h'
C
C-----------------------------------------------------------------------
C-----------------------------------------------------------------------
C STATIONARY ARRAY CALCULATION SECTION
C
C Objectives: Compute stationary arrays (i.e. arrays which will not
C change thoughout the simulation).
C
C See statarrays.h and stationaryc2.f for details 
C

      CALL STATIONARYC3(NN,NNV,NE,NHBW,X,Y,HDOWN,IN,NR,LRVS,G,
     &  DELT, TAU0,THETA,AR,DX,DY,NFTR,IQ,JQ,SV,SH,EMAT,AMAT,BMAT,
     &  CXMAT,CYMAT,DXMAT,DYMAT,G0xmat,G0ymat,D1,D2,D3,DZ,ZMID,
     &  COR,AK,BCFTR,ENZM,sumx,sumy,DSBDRY,INBE,nbe,ingeo,norm,nvn,
     &  kst,npcn,lst)

c     CALL STATIONARYC1(NN,NE,NHBW,X,Y,HDOWN,IN,NR,LRVS,G,DELT,
c    & TAU0,THETA,AR,DX,DY,NFTR,IQ,JQ,SV,SH,DIRICH,AMAT,BMAT,
c    & CXMAT,CYMAT,DXMAT,DYMAT,G0xmat,G0ymat,COR,AK)

C
      WRITE(2,'(/A)')'STATIONARY ARRAY CALCULATION SECTION ',
     &   'SUCCESSFULLY COMPLETED'
      WRITE(2,*)'     Sparse factor is',NFTR
C
      RETURN
      END 
